Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232583 - yum output not telling the whole truth
Summary: yum output not telling the whole truth
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 6
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 08:21 UTC by Mike Cohler
Modified: 2014-01-21 22:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-25 19:26:46 UTC


Attachments (Terms of Use)

Description Mike Cohler 2007-03-16 08:21:08 UTC
Description of problem:yum update gives output that does not include all
removals when a new kernel comes in.


Version-Release number of selected component (if applicable):yum-3.0.3-1.fc6


How reproducible:All machines that I have tested have the same output.


Steps to Reproduce:
1. Run yum update when a new kernel is available.
2. Note that the screen output shows no line for the removal of the kernel but
does show kernel headers being removed.
3. The last section of the output does say that the old kernel was removed and
rpm -q kernel shows that the old kernel is no longer included.
  
Actual results: Old kernel is removed but the yum output does not give this
information properly.


Expected results:Every individual yum action should be listed.


Additional info:The screen output shows:
"Transaction Test Succeeded
Running Transaction
  Updating  : firefox                      ####################### [ 1/18]
  Updating  : nash                         ####################### [ 2/18]
  Updating  : mkinitrd                     ####################### [ 3/18]
  Removing  : kernel-headers               ####################### [ 4/18]
  Updating  : firefox-devel                ####################### [ 5/18]
  Installing: kernel                       ####################### [ 6/18]
  Installing: kernel-devel                 ####################### [ 7/18]
  Updating  : kernel-headers               ####################### [ 8/18]
  Updating  : epiphany                     ####################### [ 9/18]
  Updating  : autofs                       ####################### [10/18]
  Cleanup   : kernel-devel                 ####################### [11/18]
  Cleanup   : kernel                       ####################### [12/18]
  Cleanup   : mkinitrd                     ####################### [13/18]
  Cleanup   : firefox-devel                ####################### [14/18]
  Cleanup   : firefox                      ####################### [15/18]
  Cleanup   : epiphany                     ####################### [16/18]
  Cleanup   : nash                         ####################### [17/18]
  Cleanup   : autofs                       ####################### [18/18]

Removed: kernel.i686 0:2.6.19-1.2895.fc6 kernel-devel.i686 0:2.6.19-1.2895.fc6
Installed: kernel.i686 0:2.6.20-1.2925.fc6 kernel-devel.i686 0:2.6.20-1.2925.fc6
Updated: autofs.i386 1:5.0.1-0.rc3.26 epiphany.i386 0:2.16.3-3.fc6 firefox.i386
0:1.5.0.10-5.fc6 firefox-devel.i386 0:1.5.0.10-5.fc6 kernel-headers.i386
0:2.6.20-1.2925.fc6 mkinitrd.i386 0:5.1.19.0.3-1 nash.i386 0:5.1.19.0.3-1
Complete!"

In the last paragraph it shows "Removed: kernel.i686 0:2.6.19-1.2895.fc6" but
there is no line in the 18 itemised lines above that to show that the kernel was
being removed.

Doing rpm -q kernel gives

"[mike@home1 ~]$ rpm -q kernel
kernel-2.6.19-1.2911.fc6
kernel-2.6.19-1.2911.6.4.fc6
kernel-2.6.19-1.2911.6.5.fc6
kernel-2.6.20-1.2925.fc6
[mike@home1 ~]$"

Hence the kernel 2.6.19-1.2895.fc6 is no longer listed so presumably has been
removed but it should have been properly listed during the removal process.

The /var/log/yum.log file confirms this containing (for the date when the
command was run):
"Mar 15 07:01:22 Updated: firefox.i386 1.5.0.10-5.fc6
Mar 15 07:01:23 Updated: nash.i386 5.1.19.0.3-1
Mar 15 07:01:24 Updated: mkinitrd.i386 5.1.19.0.3-1
Mar 15 07:01:24 Erased: kernel-headers
Mar 15 07:01:35 Updated: firefox-devel.i386 1.5.0.10-5.fc6
Mar 15 07:01:48 Installed: kernel.i686 2.6.20-1.2925.fc6
Mar 15 07:02:01 Installed: kernel-devel.i686 2.6.20-1.2925.fc6
Mar 15 07:02:03 Updated: kernel-headers.i386 2.6.20-1.2925.fc6
Mar 15 07:02:22 Updated: epiphany.i386 2.16.3-3.fc6
Mar 15 07:02:25 Updated: autofs.i386 1:5.0.1-0.rc3.26"

Again there is no item showing the old kernel removal but all other actions are
listed.

Comment 1 Jeremy Katz 2007-04-25 19:26:46 UTC
The removal is done automatically by rpm and there's no callback given to yum
for displaying it.


Note You need to log in before you can comment on or make changes to this bug.